//
//  selection.hpp
//  collide
//
//  Created by Andrew Lee on 11/21/15.
//
//

#ifndef selection_hpp
#define selection_hpp

#include <stdio.h>
#include "testApp.h"

class selection {
    
public:
    selection(testApp* ptr);
    bool detectSelection(float x, float y);
    
private:
    testApp* myApp;
    bool withinLine(vector<ofPoint> vertices, ofPoint mouse);
    bool withinLineFixtures(b2Fixture* head, b2Vec2 point);
    bool withinCircle(b2Vec2 circleCenter, ofVec2f point, float radius);
    bool withinFixtures(b2Fixture* head, b2Vec2 point);
    bool pnpoly(int nvert, float *vertx, float *verty, float testx, float testy);
};




#endif /* selection_hpp */
