//
//  instructions.h
//  collide
//
//  Created by Andrew Lee on 12/9/15.
//
//

#ifndef __collide__instructions__
#define __collide__instructions__

#include <stdio.h>
#include "testApp.h"


class instructions{
public:
    instructions(testApp* ptr);
    void drawInstructions();
    vector<string> pianoNotes = {
        "",
        "",
        "",
        "",
        "(15mb)C",
        "(15mb)C#",
        "(15mb)D",
        "(15mb)D#",
        "(15mb)E",
        "(15mb)F",
        "(15mb)F#",
        "(15mb)G",
        "(15mb)G#",
        "(15mb)A",
        "(15mb)A#",
        "(15mb)B",
        "(8vb)C",
        "(8vb)C#",
        "(8vb)D",
        "(8vb)D#",
        "(8vb)E",
        "(8vb)F",
        "(8vb)F#",
        "(8vb)G",
        "(8vb)G#",
        "(8vb)A",
        "(8vb)A#",
        "(8vb)B",
        "C",
        "C#",
        "D",
        "D#",
        "E",
        "F",
        "F#",
        "G",
        "G#",
        "A",
        "A#",
        "B",
        "(8va)C",
        "(8va)C#",
        "(8va)D",
        "(8va)D#",
        "(8va)E",
        "(8va)F",
        "(8va)F#",
        "(8va)G",
        "(8va)G#",
        "(8va)A",
        "(8va)A#",
        "(8va)B",
        "(15ma)C",
        "(15ma)C#",
        "(15ma)D",
        "(15ma)D#",
        "(15ma)E",
        "(15ma)F",
        "(15ma)F#",
        "(15ma)G",
        "(15ma)G#",
        "(15ma)A",
        "(15ma)A#",
        "(15ma)B"
    };

    
    
    
private:
    testApp* myApp;
};

#endif /* defined(__collide__instructions__) */
